/[gentoo-x86]/x11-wm/fluxbox/fluxbox-1.0_rc3-r2.ebuild
Gentoo

Contents of /x11-wm/fluxbox/fluxbox-1.0_rc3-r2.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.6 - (show annotations) (download)
Wed Sep 5 18:04:18 2007 UTC (10 years, 1 month ago) by lack
Branch: MAIN
CVS Tags: HEAD
Changes since 1.5: +1 -1 lines
FILE REMOVED
Big version cleanout, and consolidated some patches
(Portage version: 2.1.3.7)

1 # Copyright 1999-2007 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/x11-wm/fluxbox/fluxbox-1.0_rc3-r2.ebuild,v 1.5 2007/07/22 04:33:42 omp Exp $
4
5 inherit eutils
6
7 IUSE="nls xinerama truetype kde gnome imlib disableslit disabletoolbar"
8
9 DESCRIPTION="Fluxbox is an X11 window manager featuring tabs and an iconbar"
10 MY_P="fluxbox-1.0rc3"
11
12 S="${WORKDIR}/${MY_P}"
13 SRC_URI="mirror://sourceforge/fluxbox/${MY_P}.tar.bz2"
14 HOMEPAGE="http://www.fluxbox.org"
15
16 # Please note that USE="kde gnome" simply adds support for the respective
17 # protocols, and does not depend on external libraries. They do, however,
18 # make the binary a fair bit bigger, so we don't want to turn them on unless
19 # the user actually wants them.
20
21 RDEPEND="x11-libs/libXpm
22 x11-libs/libXrandr
23 xinerama? ( x11-libs/libXinerama )
24 x11-apps/xmessage
25 virtual/xft
26 truetype? ( media-libs/freetype )
27 imlib? ( >=media-libs/imlib2-1.2.0 )
28 !<x11-themes/fluxbox-styles-fluxmod-20040809-r1"
29 DEPEND="!<=x11-misc/fluxconf-0.9.9
30 >=sys-devel/autoconf-2.52
31 nls? ( sys-devel/gettext )
32 x11-proto/xextproto
33 xinerama? ( x11-proto/xineramaproto )
34 ${RDEPEND}"
35 PROVIDE="virtual/blackbox"
36
37 SLOT="0"
38 LICENSE="MIT"
39 KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
40
41 pkg_setup() {
42 if use imlib ; then
43 if ! built_with_use media-libs/imlib2 X ; then
44 eerror "To build fluxbox with imlib in USE, you need an X enabled"
45 eerror "media-libs/imlib2 . Either recompile imlib2 with the X"
46 eerror "USE flag turned on or disable the imlib USE flag for fluxbox."
47 die "USE=imlib requires imlib2 with USE=X"
48 fi
49 fi
50 }
51
52 src_unpack() {
53 unpack ${A}
54 cd "${S}"
55
56 # We need to be able to include directories rather than just plain
57 # files in menu [include] items. This patch will allow us to do clever
58 # things with style ebuilds.
59 epatch "${FILESDIR}/1.0_rc3/${PN}-1.0_rc3-our-styles-go-over-here.patch" || die "Patch failed"
60
61 # Bug 177114 - Segfault for certain locales
62 epatch "${FILESDIR}/1.0_rc3/${PN}-1.0_rc3-textproperties_segfault.patch" || die "Patch failed"
63
64 # Some "bottom" windows, notably ROX Filer's panel, cause a flicker sometimes
65 epatch "${FILESDIR}/1.0_rc3/${PN}-1.0_rc3-flicker.patch" || die "Patch failed"
66
67 # Bug 176476 - Missing icons from fluxbox-generate_menu
68 epatch "${FILESDIR}/1.0_rc3/fluxbox-1.0_rc3-generate_menu_icon_fix.patch" || die "Patch failed"
69
70 # Add in the Gentoo -r number to fluxbox -version output.
71 if [[ "${PR}" == "r0" ]] ; then
72 suffix="gentoo"
73 else
74 suffix="gentoo-${PR}"
75 fi
76 sed -i \
77 -e "s~\(__fluxbox_version .@VERSION@\)~\1-${suffix}~" \
78 version.h.in || die "version sed failed"
79
80 # Turn on aa by default if possible. Fluxbox fonts are really frickin'
81 # broken, we'll do what we can to make it less painful by default.
82 use truetype 1>/dev/null && \
83 echo "session.screen0.antialias: true" >> data/init.in
84
85 # Fix broken styles
86 ebegin "Fixing backgrounds..."
87 for style in "${S}/data/styles/"* ; do
88 [[ -f "${style}" ]] || continue
89 sed -i -e 's,\([^f]\)bsetroot,\1fbsetroot,' "${style}" \
90 || die "styles sed failed on ${style}"
91 done
92 eend 0
93 }
94
95 src_compile() {
96 export PKG_CONFIG_PATH=/usr/X11R6/lib/pkgconfig:/usr/lib/pkgconfig
97
98 econf \
99 $(use_enable nls) \
100 $(use_enable xinerama) \
101 $(use_enable truetype xft) \
102 $(use_enable kde) \
103 $(use_enable gnome) \
104 $(use_enable imlib imlib2) \
105 $(use_enable !disableslit slit ) \
106 $(use_enable !disabletoolbar toolbar ) \
107 --sysconfdir=/etc/X11/${PN} \
108 --with-style=/usr/share/fluxbox/styles/Emerge \
109 ${myconf} || die "configure failed"
110
111 emake || die "make failed"
112
113 ebegin "Creating a menu file (may take a while)"
114 mkdir -p "${T}/home/.fluxbox" || die "mkdir home failed"
115 MENUFILENAME="${S}/data/menu" MENUTITLE="Fluxbox ${PV}" \
116 CHECKINIT="no. go away." HOME="${T}/home" sh -x \
117 "${S}/util/fluxbox-generate_menu" -is -ds \
118 || die "menu generation failed"
119 eend $?
120 }
121
122 src_install() {
123 dodir /usr/share/fluxbox
124 make DESTDIR="${D}" install || die "make install failed"
125 dodoc README* AUTHORS TODO* ChangeLog NEWS
126
127 dodir /usr/share/xsessions
128 insinto /usr/share/xsessions
129 doins "${FILESDIR}/${PN}.desktop"
130
131 dodir /etc/X11/Sessions
132 echo "/usr/bin/startfluxbox" > "${D}/etc/X11/Sessions/fluxbox"
133 fperms a+x /etc/X11/Sessions/fluxbox
134
135 dodir /usr/share/fluxbox/menu.d
136
137 # Styles menu framework
138 dodir /usr/share/fluxbox/menu.d/styles
139 insinto /usr/share/fluxbox/menu.d/styles
140 doins "${FILESDIR}/styles-menu-fluxbox" || die
141 doins "${FILESDIR}/styles-menu-commonbox" || die
142 doins "${FILESDIR}/styles-menu-user" || die
143 }
144
145 pkg_postinst() {
146 einfo "As of fluxbox 0.9.10-r3, we are using an improved layout for"
147 einfo "styles to avoid problems with huge menus. Use the following"
148 einfo "in the menu for your menu styles section:"
149 echo
150 einfo " [submenu] (Styles) {Select a Style}"
151 einfo " [include] (/usr/share/fluxbox/menu.d/styles/)"
152 einfo " [end]"
153 echo
154 einfo "If you use fluxbox-generate_menu or the default global fluxbox"
155 einfo "menu file, this will already be present."
156 echo
157 einfo "Note that menumaker and similar utilities do *not* support"
158 einfo "this out of the box."
159 echo
160 einfo "As of fluxbox 0.9.14_pre1, Fluxbox uses XFT for font rendering. If"
161 einfo "you experience font problems, try tinkering with your theme files."
162 einfo "You can check the validity of a font name using:"
163 echo
164 einfo " XFT_DEBUG=1 xfd -fa 'whatever-12:bold'"
165 echo
166 einfo "The slow startup issues in previous versions should now be fixed;"
167 einfo "if you still encounter problems, please report bugs upstream."
168 }

  ViewVC Help
Powered by ViewVC 1.1.20